/// <reference types="node" />
import { Vue2, App } from 'vue-demi';
import { Context as vmContext } from 'vm';
import { ErrorHandler, InnerRegisterSubModule, RegisterProperties, Resolver } from '../types';
/**
 * create module loader
 * @param App instance from 'createApp' in Vue3, Vue constructor in Vue2
 * @param resolver resolver
 */
export declare function createModuleLoader(App: App | typeof Vue2, resolver: {
    isServer: boolean;
    browser: (src: string) => Resolver<WindowProxy>;
    server: (src: string) => Resolver<vmContext>;
}): (this: unknown, subModules: InnerRegisterSubModule[], { sync, errorHandlers, register, }: {
    sync?: boolean | undefined;
    errorHandlers?: ErrorHandler[] | undefined;
    register?: ((options: RegisterProperties) => void | (() => void)) | undefined;
}) => Promise<void>;
